---
features:
  secondary:
  - name: "Webhook push events support regular expressions"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/project/integrations/webhooks.html#filter-push-events-by-branch'
    image_url: '/images/unreleased/webhook_push_events_support_regular_expressions_image.png'
    reporter: g.hickman
    stage: manage
    categories:
    - Integrations
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/369104'
    description: |
      For webhooks triggered on push events, you can now define a [regex pattern](https://docs.gitlab.com/ee/user/project/integrations/webhooks.html#filter-push-events-by-branch) that aligns with your branching strategy. For example, you can use `^(feature|hotfix)/` to allow any push to the `feature` or `hotfix` branch to trigger an event.
